﻿SET NAMES 'utf8';

DROP DATABASE IF EXISTS ejemplo4yii;

CREATE DATABASE IF NOT EXISTS ejemplo4yii
CHARACTER SET latin1
COLLATE latin1_swedish_ci;

USE ejemplo4yii;

CREATE TABLE IF NOT EXISTS emple (
  emp_no int(11) NOT NULL,
  apellido varchar(50) NOT NULL,
  oficio varchar(30) DEFAULT NULL,
  dir int(11) DEFAULT NULL,
  fecha_alt date DEFAULT NULL,
  salario int(11) DEFAULT NULL,
  comision int(11) DEFAULT NULL,
  dept_no int(11) DEFAULT NULL,
  PRIMARY KEY (emp_no)
)
ENGINE = INNODB,
AVG_ROW_LENGTH = 1170,
CHARACTER SET latin1,
COLLATE latin1_swedish_ci;

--
-- Create table `depart`
--
CREATE TABLE IF NOT EXISTS depart (
  dept_no int(11) NOT NULL AUTO_INCREMENT,
  dnombre varchar(30) DEFAULT NULL,
  loc varchar(30) DEFAULT NULL,
  PRIMARY KEY (dept_no)
)
ENGINE = INNODB,
AUTO_INCREMENT = 41,
AVG_ROW_LENGTH = 4096,
CHARACTER SET latin1,
COLLATE latin1_swedish_ci;

-- 
-- Dumping data for table emple
--
INSERT INTO emple VALUES
(7369, 'SÁNCHEZ', 'EMPLEADO', 7902, '1990-12-17', 1040, NULL, 20),
(7499, 'ARROYO', 'VENDEDOR', 7698, '1990-02-20', 1500, 390, 30),
(7521, 'SALA', 'VENDEDOR', 7698, '1991-02-22', 1625, 650, 30),
(7566, 'JIMÉNEZ', 'DIRECTOR', 7839, '1991-04-02', 2900, NULL, 20),
(7654, 'MARTÍN', 'VENDEDOR', 7698, '1991-09-29', 1600, 1020, 30),
(7698, 'NEGRO', 'DIRECTOR', 7839, '1991-05-01', 3005, NULL, 30),
(7782, 'CEREZO', 'DIRECTOR', 7839, '1991-06-09', 2885, NULL, 10),
(7788, 'GIL', 'ANALISTA', 7566, '1991-11-09', 3000, NULL, 20),
(7839, 'REY', 'PRESIDENTE', 1, '1991-11-17', 4100, NULL, 10),
(7844, 'TOVAR', 'VENDEDOR', 7698, '1991-09-08', 1350, 0, 30),
(7876, 'ALONSO', 'EMPLEADO', 7788, '1991-09-23', 1430, NULL, 20),
(7900, 'JIMENO', 'EMPLEADO', 7698, '1991-12-03', 1335, NULL, 30),
(7902, 'FERNÁNDEZ', 'ANALISTA', 7566, '1991-12-03', 3000, NULL, 20),
(7934, 'MUÑOZ', 'EMPLEADO', 7782, '1992-01-23', 1690, NULL, 10);

-- 
-- Dumping data for table depart
--
INSERT INTO depart VALUES
(10, 'CONTABILIDAD', 'SEVILLA'),
(20, 'INVESTIGACIÓN', 'MADRID'),
(30, 'VENTAS', 'BARCELONA'),
(40, 'PRODUCCIÓN', 'BILBAO');

ALTER TABLE emple ADD CONSTRAINT
  FKempleDepart FOREIGN KEY (dept_no) 
  REFERENCES depart(dept_no)
  ON DELETE CASCADE ON UPDATE CASCADE;
